#ifndef XD3DBASETEXTURE_H
#define XD3DBASETEXTURE_H

#include "xasset.h"
#include "xd3dresource.h"
#include "xgputexturefetchconstant.h"

class XD3DBaseTexture : public XAsset
{
public:
    XD3DBaseTexture();
    ~XD3DBaseTexture() = default;

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mMipFlush;
    XGpuTextureFetchConstant mFormat;
    XD3DResource mResource;
};

#endif // XD3DBASETEXTURE_H
